Subject: Re: bug#2185: 23.0.90; Configure doesn't find librsvg2 on debian
From: Sven Joachim <[email-masked]>
To: "Kim F. Storm" <[email-masked]>
Cc: [email-masked]
Date: Tue, 03 Feb 2009 14:36:02 +0100

On 2009-02-03 13:58 +0100, Kim F. Storm wrote:

> The configure script doesn't find the SVG library that is installed on
> my Debian system.
>
> I have these files in /usr/lib:
>    librsvg-2.so.2 and librsvg-2.so.2.14.4

And apparently missing librsvg-2.so, yes?  That symlink is in the
librsvg2-dev package.

> But there is no pkg-config entry for it, so configure doesn't find it.

The pkg-config entry is in the librsvg2-dev package as well.

> This may very well be a problem with the way Debian distributes
> librsvg2 - but isn't there some other way configure can check for
> the existence of this library?

Without the necessary header files you cannot build applications against
it anyway.

Sven